import arcpy, os

Result_Step_A = arcpy.GetParameterAsText(0)

totalRSAcount = arcpy.GetCount_management(arcpy.Describe(Result_Step_A).catalogpath)
selectedRSAcount = arcpy.GetCount_management(Result_Step_A)

if totalRSAcount.getOutput(0) == selectedRSAcount.getOutput(0):
    arcpy.AddWarning("Please make a selection within the Result Step A layer")

else:
    arcpy.MakeFeatureLayer_management(Result_Step_A,"Result_Step_A_LAYER")
    arcpy.SelectLayerByLocation_management("Result_Step_A_LAYER","INTERSECT", "REF_Select", "", "NEW_SELECTION")
    arcpy.SelectLayerByLocation_management("Result_Step_A_LAYER","INTERSECT", "LTBU_Select", "", "SUBSET_SELECTION")
    arcpy.SelectLayerByAttribute_management("Result_Step_A_LAYER", "SWITCH_SELECTION", "")
    arcpy.SelectLayerByLocation_management(Result_Step_A,"WITHIN", "Result_Step_A_LAYER", "", "REMOVE_FROM_SELECTION")

arcpy.RefreshActiveView()
